﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public class LocationController : MonoBehaviour
{
    public List<GameObject> rooms;   
    // Start is called before the first frame update
    void Start()
    {
      

        var rooms_0 = rooms.ElementAt(0);
        Cube(rooms_0, new Vector3(6, 8, 1)); //x=6 y=8 h1
        var rooms_1 = rooms.ElementAt(1);
        Cube(rooms_1, new Vector3(2, 10, 1), new Vector2(6, 0));
        var rooms_2 = rooms.ElementAt(2);
        Cube(rooms_2, new Vector3(5, 4, 1), new Vector2(8, 5));
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public static void Cube(GameObject cube, Vector3 cube_size, Vector2 position = new Vector2())
    {
        //GameObject cube = GameObject.Find("Cube");
        cube_size = new Vector3(cube_size.x, cube_size.y, cube_size.z);

        Vector3 pos_cube = new Vector3(cube_size.x / 2f, cube_size.z / 2f, cube_size.y / 2f);
        cube.transform.position = new Vector3(pos_cube.x + position.x, pos_cube.y, pos_cube.z + position.y);

        // above
        GameObject plane_a = cube.transform.GetChild(0).gameObject;
        //plane_above.transform.localScale = cube_size;
        plane_a.transform.localScale = new Vector3(cube_size.x, 0.01f, cube_size.y);
        plane_a.transform.localPosition = new Vector3(0, pos_cube.y, 0);//y x=0

        // front
        GameObject plane_b = cube.transform.GetChild(1).gameObject;
        plane_b.transform.localScale = new Vector3(cube_size.x, 0.01f, cube_size.z);
        plane_b.transform.localPosition = new Vector3(0, 0, -pos_cube.z);

        // side
        GameObject plane_c = cube.transform.GetChild(2).gameObject;
        plane_c.transform.localScale = new Vector3(cube_size.y, 0.01f, cube_size.z);
        plane_c.transform.localPosition = new Vector3(-pos_cube.x, 0, 0);

        // низ 
        GameObject plane_d = cube.transform.GetChild(3).gameObject;
        plane_d.transform.localScale = new Vector3(cube_size.x, 0.01f, cube_size.y);
        plane_d.transform.localPosition = new Vector3(0, -pos_cube.y, 0);

        // зад 
        GameObject plane_e = cube.transform.GetChild(4).gameObject;
        plane_e.transform.localScale = new Vector3(cube_size.y, 0.01f, cube_size.z);
        plane_e.transform.localPosition = new Vector3(pos_cube.x, 0, 0);       

        // front 2
        GameObject plane_f = cube.transform.GetChild(5).gameObject;
        plane_f.transform.localScale = new Vector3(cube_size.x, 0.01f, cube_size.z);
        plane_f.transform.localPosition = new Vector3(0, 0, pos_cube.z);
    }
}
